Page MenuHomePhabricator

Replace default avatar icon
Closed, DeclinedPublic

Description

As suggested in T124: Please find an alternative for the the default avatar icon that doesn't look like an encoding error, the outline of a fictional country or a random splat. I found it really distracting at first. Now that I know it's some kind of "duck" I can't unsee it. Still I think we can do better.

Here is a very simple suggestion. Yes, the resemblance is intentional. ;-)

(examples removed, they were showing wrong images from imported Bugzilla)

Details

Reference
fl419

Event Timeline

flimport raised the priority of this task from to Normal.Sep 12 2014, 1:40 AM
flimport set Reference to fl419.

qgil wrote on 2014-06-16 14:11:49 (UTC)

I think we can upstream the proposal upstream (or even file a patch?). Perhaps they could relate this neutral icon to the serious mode, and keep the Pokémon for the less serious mode.

Are you the author of the alternative image? Can you upload it in SVG format to Commons, please?

Nemo_bis wrote on 2014-06-16 17:52:34 (UTC)

I actually like the current icon because it looks culturally neutral (including gender neutral) and funny to me. Before others pointed out, I didn't even focus on it enough to recognise the psyduck.

It does annoy some people though, so it's worth making some specific suggestions upstream, without bringing them any drama. :) For instance something along the lines of https://bug-attachment.wikimedia.org/attachment.cgi?id=13547

mattflaschen wrote on 2014-06-17 02:32:28 (UTC)

What does this have to do with Gravatar? I don't see that being used for the people who have custom icons.

thiemowmde wrote on 2014-06-17 09:13:08 (UTC)

In T419#5, @Qgil wrote:

Are you the author of the alternative image?

Yes.

Can you upload it in SVG format to Commons, please?

It's just the PNG mockup you see. Crop it to 50x50, remove the round corners and you are done. I'm happy to upload more variations in SVG later if it becomes clear how and were (it doesn't need to be upstream) this issue will be fixed.

In T419#8, @mattflaschen wrote:

What does this have to do with Gravatar?

Gravatar is one of many possibilities, see T124#39. I confused that a bit. I changed the title.

Qgil moved this task from To Triage to Need discussion on the Phabricator board.Sep 21 2014, 9:30 AM
Qgil lowered the priority of this task from Normal to Lowest.Oct 22 2014, 9:21 PM
Qgil added a subscriber: Qgil.

The proposed replacement (F8588) is a broken link. I'm not sure if it's here under a different F-number, or needs to be re-uploaded.

Qgil added a comment.Nov 7 2014, 7:08 AM

fab attachments were not migrated. @thiemowmde, do you still have your avatar proposal?

Qgil added a subscriber: Quiddity.Nov 7 2014, 7:24 AM

There was another old thread discussing possible alternatives to the current avatar. Let's continue here.

In T65#19735, @Quiddity wrote:

@Qgil What did the attachment (F13805) look like?
I'd be in favour of a black & white & grey image, based off the community logo.
The only thing I like about the current default, is that it's relatively easy to ignore.
I think the vivid green/red/blue of the standard community logo is too eye-catching, to be a good default.

That file is my other laptop, I believe; I will be able to search it in a few hours. I believe it is just the community logo with the light gray & white colors used in the current avatar.

In T256#19774, @Qgil wrote:

That file is my other laptop, I believe; I will be able to search it in a few hours. I believe it is just the community logo with the light gray & white colors used in the current avatar.

Sounds good. Thanks :)

Qgil updated the task description. (Show Details)Nov 9 2014, 8:34 PM
Qgil set Security to None.

Found it:

+1, vast improvement.

Qgil added a comment.Nov 9 2014, 9:09 PM

Since this is nothing that we can upstream (or configure, as far as I know), we would need a clean way to maintain this (a Puppet rule, and extension, I have no idea).

Defined in https://github.com/phacility/phabricator/blob/63ce0e66c926222a5a805d5199c8ea98cc4bc129/src/applications/people/storage/PhabricatorUser.php#L610 , although I can't find where that avatar.png is located.

Adding this as configuration option would probably be OK for upstream, I suppose?

@Qgil there isn't really a clean way to maintain this outside of the upstream.

@valhallasw: proposing a config option upstream would be ideal, for sure. Anyone wanna submit a patch to https://secure.phabricator.org?

Patch submitted: https://secure.phabricator.com/D10858

However, I can't figure out why the 'default' image in the avatar edit window stays a psyduck (but stored in a temporary file?!), so it's not ready as-is.

valhallasw added a comment.EditedNov 15 2014, 2:41 PM

I also created an svg version of the proposed image:

https://commons.wikimedia.org/wiki/File:Wikimedia_Community_Logo,_phabricator_Avatar_version.svg

Resulting 50x50 png:

Qgil updated the task description. (Show Details)Nov 26 2014, 4:34 PM
Qgil added a comment.Nov 26 2014, 4:36 PM

I really don't feel like keeping a local patch for this. I also fear that we will end up bored of our Wikimedia community logo (which I personally like).

Also, as the most active contributors add their own avatars, the Psyduck is less and less visible in our day to day.

Proposing to decline this task, and if one day upstream changes of opinion...

Am I really the only one having problems seeing a duck in this image? What about an empty one? If the goal is to make people upload their own avatars because they found the default one disturbing, an empty default should do the same. Just my two cents. There are way more important styling problems that still aren't resolved upstream, most importantly T81.

Kghbln added a subscriber: Kghbln.Nov 28 2014, 9:01 PM

+1 for the change

Qgil closed this task as Declined.Jan 12 2015, 7:55 AM
Qgil claimed this task.

It has been almost two months of regular use of Phabricator and the default avatar seems not to be an issue for the vast majority of users.

We have a policy for keeping local changes to a minimum, so I don't think we should have one for the default avatar. If this avatar is indeed problematic, requesting an alternative to the Phabricator maintainers is a better path.

I am closing this request as Declined.